GET /sync/watched/{type}
Operation ID: Get watched
Auth: unknown
Description
#### 🔒 OAuth Required ✨ Extended Info Returns all movies or shows a user has watched sorted by most plays. If `type` is set to _shows_ and you add `?extended=noseasons` to the URL, it won't return season or episode info. Each `movie` and `show` object contains `last_watched_at` and `last_updated_at` timestamps. Since users can set custom dates when they watched movies and episodes, it is possible for `last_watched_at` to be in the past. We also include `last_updated_at` to help sync Trakt data with your app. Cache this timestamp locally and only re-process the movies and shows if you see a newer timestamp. Each `show` object contains a `reset_at` timestamp. If not `null`, this is when the user started re-watching the show. Your app can adjust the progress by ignoring episodes with a `last_watched_at` prior to the `reset_at`.
Parameters (3)
(string, header, optional)
e.g. [client_id]
(string, header, optional)
e.g. 2
(string, path, required)
Constraints: {'enum': ['movies', 'shows']}
No probe data for this endpoint yet.